.panel.panel-default{"ng-controller" => "MicroWaterShedCtrl"}
  .panel-heading{ :style => "border-bottom:1px solid #f0f0f0"}
    %h4.text-primary Micro Water Sheds
    .table-responsive
      %table.table
        %thead
          %tr
            %th{:style => "text-align:center;"} Name
            %th{:style => "text-align:center;"} Code
            %th{:style => "text-align:center;"} Sub Water Shed
            %th{:style => "text-align:center;"} 
            %th{:style => "text-align:center;"} 
     
        %tbody
          %tr{ "ng-repeat" => "micro_water_shed in data_list "}
            %td{:style => "text-align:center;"} {{ micro_water_shed.name }}
            %td{:style => "text-align:center;"} {{ micro_water_shed.code }}
            %td{:style => "text-align:center;"} {{ micro_water_shed.sub_water_shed.name }}
            %td
              %a{ "ng-click" => "edit(micro_water_shed.id);" } 
                %i.fa.fa-pencil{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
            %td
              %a{ "ng-click" => "delete(micro_water_shed.id, micro_water_shed.url);" }     
                %i.fa.fa-trash-o.fa-fw{"aria-hidden"=>"true", :style=>"color:#D0D0D0"}
          %tr            
            %td
              = text_field_tag :name,'', :class => "form-control", "ng-model" => "vm.name"
            %td
              = text_field_tag :code,'', :class => "form-control", "ng-model" => "vm.code"
            %td
              %select{"ng-model" => "vm.sub_water_shed", "ng-options" => "sub_water_shed.name for sub_water_shed in sub_water_sheds track by sub_water_shed.id", :class => "form-control", :placeholder => "Select"}
                %option{:value=>'', :selected => 'selected'} Select
            %td
            %td
  .panel-footer
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_add", "ng-click" => "submit()"} Add
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_update", "ng-click" => "update()"} Update
    %button{:class => "btn btn-primary btn-sm", "ng-show" => "btn_cancel", "ng-click" => "cancel()"} Cancel